Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core
Class SDBRequest

    java.lang.Object
      com.hp.hpl.jena.sdb.store.StoreHolder
          com.hp.hpl.jena.sdb.core.SDBRequest

    public class SDBRequest

extends StoreHolder

A collection of things to track during query compilation and execution from SPARQL to SQL.

Author:
  Andy Seaborne

Field Summary
`boolean` | `DistinctTranslation`
`boolean` | `LeftJoinTranslation`
`boolean` | `LimitOffsetTranslation`

Constructor Summary
`SDBRequest(Store store, com.hp.hpl.jena.query.Query query)`
`SDBRequest(Store store, com.hp.hpl.jena.query.Query query, com.hp.hpl.jena.sparql.util.Context context)`

Method Summary
`Generator` | `generator(String base)`
`String` | `genId(String base)`
`com.hp.hpl.jena.sparql.core.Var` | `genVar()`
`com.hp.hpl.jena.sparql.util.Context` | `getContext()`
`com.hp.hpl.jena.shared.PrefixMapping` | `getPrefixMapping()`
`com.hp.hpl.jena.query.Query` | `getQuery()`
`Store` | `getStore()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LeftJoinTranslation

    public boolean LeftJoinTranslation

### LimitOffsetTranslation

    public boolean LimitOffsetTranslation

### DistinctTranslation

    public boolean DistinctTranslation

Constructor Detail

### SDBRequest

    public SDBRequest(Store store,
                      com.hp.hpl.jena.query.Query query,
                      com.hp.hpl.jena.sparql.util.Context context)

### SDBRequest

    public SDBRequest(Store store,
                      com.hp.hpl.jena.query.Query query)

Method Detail

### getContext

    public com.hp.hpl.jena.sparql.util.Context getContext()

### getPrefixMapping

    public com.hp.hpl.jena.shared.PrefixMapping getPrefixMapping()

### getQuery

    public com.hp.hpl.jena.query.Query getQuery()

### getStore

    public Store getStore()

### generator

    public Generator generator(String base)

### genId

    public String genId(String base)

### genVar

    public com.hp.hpl.jena.sparql.core.Var genVar()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.